PC SOFT

ONLINE HELP
 WINDEVWEBDEV AND WINDEV MOBILE

Home | Sign in | English EN
This content has been translated automatically. Click here to view the French version.
  • Changing the default Twain device
  • Operating mode in the 64-bit applications
WINDEV
WindowsLinuxUniversal Windows 10 AppJavaReports and QueriesUser code (UMC)
WEBDEV
WindowsLinuxPHPWEBDEV - Browser code
WINDEV Mobile
AndroidAndroid Widget iPhone/iPadIOS WidgetApple WatchMac CatalystUniversal Windows 10 App
Others
Stored procedures
Allows you to find out and change the Twain device used by default. This default device will be used by all the Twain functions.
Remark: To find out the list of all the Twain devices installed on the current computer, use TwainListSource.
Example
// Périphérique Twain utilisé par défaut?
Trace("Le périphérique utilisé par défaut est: " + TwainCurrentSource())
// Changer le périphérique Twain utilisé par défaut
TwainCurrentSource("Logitech Camera")
Syntax

Change the Twain device used by Default Hide the details

<Result> = TwainCurrentSource(<Driver name>)
<Result>: Boolean
  • True if the specified device was taken into account,
  • False otherwise. The corresponding error message is returned by ErrorInfo.
<Driver name>: Character string
Name of the Twain device driver that must be used by default. This name must match one of the names returned by the TwainListSource function.

Know the Twain device used by Default Hide the details

<Result> = TwainCurrentSource()
<Result>: Character string
Name of driver of Twain device used by default.
Remarks

Changing the default Twain device

To change the Twain device used by default, you can:
  • or use the TwainCurrentSourcefunction.
  • display the list of Twain devices installed on the computer via TwainSelectSource. Then, the user will be able to choose the Twain device that will be used by default.

Operating mode in the 64-bit applications

In a 64-bit application, this function will automatically use the 64-bit Twain driver. The TWAIN cannot be used if this driver is not installed.
Component: wd270std.dll
Minimum version required
  • Version 9
This page is also available for…
Comments
Click [Add] to post a comment